TYPOS3.Flow - Bug # 13333

Status: Resolved Priority: Should have
Author: Martin Eisengardt Category: AOP

Created: 2011-02-24 Assigned To: Christian Mdiller
Updated: 2012-05-30 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.0

Subject: AOP for methods with references do not work.

Description

Tried to log a method call to GenericPod\Backend->storeObject (fourth parameter is a reference to an array)
* @param \F3\FLOW3\AOP\JoinPointInterface $joinPoint The current join point

* @return void

* @around method(F3\FLOWS3\Persistence\Backend\GenericPdo\Backend->storeObject())
*/

public function logStoreObject(\F3\FLOW3\AOP\JoinPointinterface $joinPoint)

{

$object = $joinPoint->getMethodArgument(‘object');

$id = $joinPoint->getMethodArgument(‘identifier');

$parent = $joinPoint->getMethodArgument('parentldentifier’);
$data = $joinPoint->getMethodArgument('objectData’);

$this->logger->log('GenericPDOBackend->storeObject(['.get_class($object).’], ".$id.", "$parent.’, ...)");

$result = $joinPoint->getAdviceChain()->proceed($joinPoint);
return $result;

error/exception:

Warning: Parameter 4 to F3\FLOWS3\Persistence\Backend\GenericPdo\Backend_AOPProxy_Development::storeObject() expected|to be a
reference, value given in

Related issues:

related to TYPOS3.Flow - Bug # 30914: Proxy methods for methods with "by refer... Resolved 2011-10-14

Associated revisions

Revision fa086785 - 2012-04-02 14:41 - Christian Miiller

[BUGFIX] Proxy methods with referenced arguments should work
Arguments given by reference would result in an exception if

the method was proxied due to AOP.

Change-Id: 1647006669608a98a4fb9bc289d89c3c801502df1
Fixes: #30914

Fixes: #13333

Releases: 1.0,1.1

Revision fed005bf - 2012-04-11 16:18 - Christian Miiller

[BUGFIX] Proxy methods with referenced arguments should work

Arguments given by reference would result in an exception if

the method was proxied due to AOP.

Change-Id: 1647006669608a98a4fb9bc289d89¢3c801502df1
Fixes: #30914
Fixes: #13333

Releases: 1.0,1.1

History

#1 - 2011-03-17 13:17 - Robert Lemke
- Category set to AOP

- Status changed from New to Accepted
- Assigned To set to Robert Lemke

- Target version set to 1.0 beta 1

#2 - 2011-08-04 08:40 - Sebastian Kurfuerst

- Target version changed from 1.0 beta 1 to 1.0 beta 2

what's the status here? Moving to beta2.

#3 - 2011-09-09 15:17 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#4 - 2011-10-20 01:47 - Karsten Dambekalns
- Target version deleted (1.0.0)

#5 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#6 - 2012-03-14 17:32 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9651
http://review.typo3.org/9651

#7 - 2012-03-14 17:33 - Christian Miiller
- Assigned To changed from Robert Lemke to Christian Miiller
- Has patch set to No

#8 - 2012-03-20 11:10 - Christian Muller
- Target version set to 1.0.4

#9 - 2012-04-02 14:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.0org/9651

#10 - 2012-04-03 02:37 - Christian Miiller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fa0867857380f9d843a2d749d3dd4195f5a6535¢.

#11 - 2012-04-11 16:19 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/10248

#12 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#13 - 2012-05-30 21:59 - Karsten Dambekalns

- Status changed from Under Review to Resolved
